Name:           python-liblinear-multicore
Version:        2.49.0
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        Python binding of multi-core LIBLINEAR

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://www.csie.ntu.edu.tw/~cjlin/libsvmtools/multicore-liblinear
Source:         %{pypi_source liblinear_multicore}

BuildRequires:  python3-devel
BuildRequires:  gcc


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'liblinear-multicore' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-liblinear-multicore
Summary:        %{summary}

%description -n python3-liblinear-multicore %_description


%prep
%autosetup -p1 -n liblinear_multicore-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-liblinear-multicore -f %{pyproject_files}


%changelog
%autochangelog